/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,t,o,i){return new(o||(o=Promise))((function(n,s){function r(e){try{l(i.next(e))}catch(e){s(e)}}function a(e){try{l(i.throw(e))}catch(e){s(e)}}function l(e){var t;e.done?n(e.value):(t=e.value,t instanceof o?t:new o((function(e){e(t)}))).then(r,a)}l((i=i.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.DeleteJobs=void 0;const imperative_1=require("@zowe/imperative"),JobsConstants_1=require("../../constants/JobsConstants"),RseRestClient_1=require("../../rest/RseRestClient"),CoreUtils_1=require("../../utils/CoreUtils"),path_1=require("path");class DeleteJobs{static deleteJob(e,t,o){return __awaiter(this,void 0,void 0,(function*(){return this.log.trace("deleteJob called with jobname %s jobid %s",t,o),yield this.deleteJobCommon(e,{jobname:t,jobid:o}).catch((e=>{const t=e;throw this.log.error(t.toString()),e}))}))}static deleteJobForJob(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield this.deleteJobCommon(e,{jobname:t.jobName.toString(),jobid:t.jobId.toString()})}))}static deleteJobCommon(e,t){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("deleteJobCommon called with parms %s",JSON.stringify(t)),imperative_1.ImperativeExpect.keysToBeDefinedAndNonBlank(t,["jobname","jobid"],"You must specify jobname and jobid for the job you want to delete."),this.log.info("Deleting job %s (%s). Job modify version?: %s",t.jobname,t.jobid,t.modifyVersion+"");try{const o=(0,CoreUtils_1.endpointBuilder)(e,path_1.posix.join(JobsConstants_1.JobsConstants.RESOURCE,(0,CoreUtils_1.rsePathEncode)(t.jobname),t.jobid)),i=(0,CoreUtils_1.setHeaders)(e);return{success:!0,commandResponse:null,apiResponse:yield RseRestClient_1.RseRestClient.deleteExpectJSON(e,o,i)}}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.DeleteJobs=DeleteJobs;