/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
/// <reference types="node" />
import { imperative } from '@zowe/cli';
import { ClientRequest } from 'http';
export declare class Stream {
    static streamDownload(session: imperative.Session, endpoint: string, reqHeaders: any[], destination: string): Promise<ClientRequest>;
    static streamUpload(session: imperative.Session, endpoint: string, reqHeaders: any[], filePath: string): Promise<ClientRequest>;
    private static setHttpsHeaders;
}
