/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,o){return new(t||(t=Promise))((function(i,n){function r(e){try{u(o.next(e))}catch(e){n(e)}}function a(e){try{u(o.throw(e))}catch(e){n(e)}}function u(e){var s;e.done?i(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(r,a)}u((o=o.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const imperative_1=require("@zowe/imperative"),RestBaseHandler_1=require("../../RestBaseHandler"),Login_1=require("../../../api/methods/auth/login/Login"),ProfileUtils_1=require("../../../api/profiles/ProfileUtils"),ZosApi_messages_1=require("../../../api/constants/ZosApi.messages");class LoginHandler extends RestBaseHandler_1.RestBaseHandler{processWithSession(e,s,t){return __awaiter(this,void 0,void 0,(function*(){let o=s;""!==s.ISession.user&&void 0!==s.ISession.user||(o.ISession.user=e.arguments.user),""!==s.ISession.password&&void 0!==s.ISession.password||(o.ISession.password=e.arguments.pass),o.ISession.user&&o.ISession.password||(o=yield Login_1.AuthLogin.promptUserPass(s));const i={percentComplete:0,statusMessage:ZosApi_messages_1.ZosApiMessages.jwtTokenGettingToken.message,stageName:imperative_1.TaskStage.IN_PROGRESS};e.response.progress.startBar({task:i});const n=yield ProfileUtils_1.ProfileUtils.getProfileName(e),r=yield Login_1.AuthLogin.getToken(o,n,t),a=yield Login_1.AuthLogin.validateToken(r);return e.response.data.setObj(r),e.response.format.output({output:a,format:"object"}),{success:!0,commandResponse:null,apiResponse:a}}))}}exports.default=LoginHandler;